## org.apache.batik.transcoder
Class TranscodingHints.Key

    java.lang.Object
      org.apache.batik.transcoder.TranscodingHints.Key

Direct Known Subclasses:
  BooleanKey, DOMImplementationKey, FloatKey, IntegerKey, LengthKey, PaintKey, Rectangle2DKey, StringKey, SVGTranscoder.DoctypeKey, SVGTranscoder.NewlineKey

Enclosing class:
  TranscodingHints

    public abstract static class TranscodingHints.Key

extends java.lang.Object

Defines the base type of all keys used to control various aspects of the transcoding operations.

Constructor Summary
`protected` `TranscodingHints.Key()` Constructs a key.

Method Summary
`abstract boolean` `isCompatibleValue(java.lang.Object val)` Returns true if the specified object is a valid value for this key, false otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TranscodingHints.Key

    protected TranscodingHints.Key()

  Constructs a key.

Method Detail

### isCompatibleValue

    public abstract boolean isCompatibleValue(java.lang.Object val)

  Returns true if the specified object is a valid value for this key, false otherwise.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.